%define upstream_name    WWW-YouTube-Download
%define upstream_version 0.56

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Very simply YouTube video download interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(URI)
BuildRequires: perl(URI::QueryParam)
BuildRequires: perl(XML::TreePP)
BuildArch:  noarch

%description
WWW::YouTube::Download is a download video from YouTube.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/youtube-download
%{_bindir}/youtube-playlists
%{_mandir}/man1/youtube-download.1.xz
%{_mandir}/man1/youtube-playlists.1.xz

%changelog
* Sat Oct 18 2014 umeabot <umeabot> 0.560.0-7.mga5
+ Revision: 788149
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.560.0-6.mga5
+ Revision: 743790
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.560.0-5.mga5
+ Revision: 686873
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 0.560.0-4.mga5
+ Revision: 633979
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 0.560.0-3.mga5
+ Revision: 606113
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.560.0-2.mga4
+ Revision: 530921
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 sander85 <sander85> 0.560.0-1.mga4
+ Revision: 460995
- update to 0.56

* Sat Jul 27 2013 sander85 <sander85> 0.550.0-1.mga4
+ Revision: 459107
- update to 0.55

* Fri Jul 26 2013 shlomif <shlomif> 0.540.0-1.mga4
+ Revision: 458553
- update to 0.54

* Fri Jun 07 2013 jquelin <jquelin> 0.530.0-1.mga4
+ Revision: 440057
- update to 0.53

* Sat Jun 01 2013 shlomif <shlomif> 0.520.0-1.mga4
+ Revision: 434153
- New version

* Sun Jan 13 2013 umeabot <umeabot> 0.420.0-2.mga3
+ Revision: 374814
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 shlomif <shlomif> 0.420.0-1.mga3
+ Revision: 319184
- New version 0.42

* Thu Oct 04 2012 jquelin <jquelin> 0.410.0-1.mga3
+ Revision: 302783
- update to 0.41

* Tue Feb 21 2012 kharec <kharec> 0.400.0-1.mga2
+ Revision: 211754
- update to 0.40

* Wed Dec 07 2011 kharec <kharec> 0.380.0-1.mga2
+ Revision: 178392
- update to 0.38

* Wed Dec 07 2011 kharec <kharec> 0.370.0-1.mga2
+ Revision: 178125
- update to 0.37

* Tue Dec 06 2011 kharec <kharec> 0.360.0-1.mga2
+ Revision: 177926
- imported package perl-WWW-YouTube-Download


* Tue Dec 06 2011 cpan2dist 0.36-1mga
- initial mageia release, generated with cpan2dist
